Skip to main content
GET
https://backend.themarketunited.com
/
markets
/
{id}
/
trades
List market trades
curl --request GET \
  --url https://backend.themarketunited.com/markets/{id}/trades
[
  {
    "orderHash": "<string>",
    "tokenId": "<string>",
    "maker": "<string>",
    "taker": "<string>",
    "makerAmountFilled": "<string>",
    "takerAmountFilled": "<string>",
    "txHash": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://unitedmarket.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Market id.

Query Parameters

limit
integer
default:20

Maximum number of items to return.

Required range: 1 <= x <= 500
offset
integer
default:0

Number of items to skip.

Required range: x >= 0

Response

200 - application/json

Trades returned.

orderHash
string
tokenId
string
maker
string
taker
string
makerAmountFilled
string
takerAmountFilled
string
txHash
string